Bug 247155 - SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" to /proc/kcore (proc_kcore_t)
SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" to /proc/kcore ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 13:35 EDT by Anthony Messina
Modified: 2008-06-16 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2007-07-05 13:35:19 EDT
Description of problem:
I receive the following error when starting nfs on Fedora 7 with SELinux enforcing.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.4-23.fc7
nfs-utils-lib-1.0.8-8.fc7
nfs-utils-1.0.12-4.fc7

How reproducible:
Every time.

Steps to Reproduce:
1. Set up an NFSv4 share
2. Reboot the server or restart the nfs service

Actual results:
At boot up:
SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" to /proc/kcore
(proc_kcore_t).

Expected results:
If rpc.mountd needs access to /proc/kcore, it should be allowed.  If it doesn't,
then perhaps this is a problem with rpc.mountd itself.

Additional info:
avc: denied { getattr } for comm="rpc.mountd" dev=proc egid=0 euid=0
exe="/usr/sbin/rpc.mountd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="kcore"
path="/proc/kcore" pid=2256 scontext=system_u:system_r:nfsd_t:s0 sgid=0
subj=system_u:system_r:nfsd_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:proc_kcore_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-07-31 14:17:05 EDT
Fixed in selinux-policy-targeted-2.6.4-30
Comment 2 Bug Zapper 2008-05-14 09:25:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:48:03 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.